export declare type Lazy<T> = () => T;
/**
 * @param test lazy test
 * @param msg reported message if {@link test } fails.
 */
export declare function assert(test: Lazy<boolean>, msg: string): void;
/**
 * @param test lazy test which may be hurt the performance.
 * @param msg reported message if {@link test } fails.
 */
export declare function heavyAssert(test: Lazy<boolean>, msg: string): void;
/**
 * @param o
 * @return read-only {@link o }
 */
export declare const readonly: <T>(o: T) => Readonly<T>;
