/*
    Copyright (C) 2018  Victorien Elvinger

    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, You can obtain one at http://mozilla.org/MPL/2.0/.
*/
import { flags } from "../flags";
/**
 * @param test lazy test
 * @param msg reported message if {@link test } fails.
 */
export function assert(test, msg) {
    if (flags.assertionsEnabled) {
        if (flags.failFastEnabled) {
            console.assert(test(), msg);
        }
        else {
            console.error("Assertion failed: " + msg);
        }
    }
}
/**
 * @param test lazy test which may be hurt the performance.
 * @param msg reported message if {@link test } fails.
 */
export function heavyAssert(test, msg) {
    if (flags.heavyAssertionsEnabled) {
        assert(test, msg);
    }
}
/**
 * @param o
 * @return read-only {@link o }
 */
export var readonly = function (o) { return o; };
//# sourceMappingURL=assert.js.map