import { Concatenable } from "./concatenable";
import { uint32 } from "./number";
/**
 * Model an insertion in a single-user list.
 */
export declare class Insertion<E extends Concatenable<E>> {
    /**
     * @param index {@link Insertion#index}
     * @param items {@link Insertion#items}
     */
    constructor(index: uint32, items: E);
    /**
     * Insertion index.
     */
    readonly index: uint32;
    /**
     * Inserted elements.
     */
    readonly items: E;
    /**
     * Number of inserted elements.
     */
    readonly length: uint32;
}
/**
 * Model a removal in a single-user list.
 */
export declare class Deletion {
    /**
     * @param index Insertion#index
     * @param items Insertion#length
     */
    constructor(index: uint32, length: uint32);
    /**
     * Removal index.
     */
    readonly index: uint32;
    /**
     * Number of removed elements.
     */
    readonly length: uint32;
}
