import { Ordering } from "./ordering";
export declare type uint32 = number;
export declare const UINT32_BOTTOM = 0;
export declare const UINT32_TOP = 4294967295;
/**
 * @param n
 * @return Is {@link n} an uint32?
 */
export declare const isUint32: (n: number) => n is number;
/**
 * @param l lower bound
 * @param excludedU excluded upper bound.
 * @return Random uint32 in [{@link l}, {@link excludedU}[
 *  Note that UINT32_TOP cannot be generated.
 */
export declare function nextRandomUint32(l: uint32, excludedU: uint32): uint32;
/**
 * @param n1
 * @param n2
 * @return Order relation between {@link n1} and {@link n2}.
 */
export declare function compareUint32(n1: uint32, n2: uint32): Ordering;
/**
 * @param values
 * @return hash code of {@link values }.
 */
export declare const digestOf: (values: ReadonlyArray<number>) => number;
export declare const absoluteSubstraction: (a: number, b: number) => number;
