import { SimplePosition } from "./simpleposition";
import { uint32 } from "../core/number";
import { BlockFactory } from "../core/blockfactory";
/**
 * Factory of block with {@link SimplePosition } as implementation of
 * {@link Position}.
 * The strategy of generation is to genearte random positions between two
 * defined positions.
 */
export declare class SimpleBlockFactory extends BlockFactory<SimplePosition> {
    /**
     * @param posBounds {@link SimpleBlockFactory#replica }
     * @param seq {@link SimpleBlockFactory#seq }
     */
    constructor(replica: uint32, seq: uint32);
    /**
     * @param replica {@link SimpleBlockFactory#replica }.
     * @return New factory with 0 as {@link SimpleBlockFactory#seq }.
     */
    static from(replica: uint32): SimpleBlockFactory;
    /** @Override */
    readonly replica: uint32;
    /** @Override */
    readonly seq: uint32;
    /**
     * @param by
     * @return Same factory, but with {@link SimpleBlockFactory#seq }
     * increased by {@link by }
     */
    increasedSeq(by: uint32): SimpleBlockFactory;
    /** @override */
    posBetween(l: SimplePosition, length: uint32, u: SimplePosition): [SimplePosition, SimpleBlockFactory];
}
